#!/bin/bash

IPADDRESS=192.168.78.50
CAMERAMODECTLOC=bay4hfs
TMPFILE=bay4tmp
TELNETSERVER=127.0.0.1
PORT=6802
MONITORNUMBER=12


wget $IPADDRESS -O $CAMERAMODECTLOC && cat $CAMERAMODECTLOC | grep Temp > $TMPFILE

RESULT=$(cat $TMPFILE)

telnet $TELNETSERVER $PORT <<EOF
$MONITORNUMBER|show||||$RESULT
EOF



#successful results will be viewable in INFO level syslogs (devuan):
#Jan 19 04:15:01 server CRON[27503]: (root) CMD (/home/cam/scripts/telnet_bay4.sh)
#Jan 19 04:15:01 server CRON[27504]: (root) CMD (/home/cam/scripts/telnet_dispatch.sh)
#Jan 19 04:15:01 server zmtrigger[15315]: INF [Updated show text to 'Temp:59#015
#Jan 19 04:15:01 server zmtrigger[15315]: INF [Updated show text to 'Temp:75#015

